Subject: Re: [PATCH 2/2] git wrapper: execute git-shell when argv[1] is '-c'

From: Tommi Virtanen <[email-masked]>
Date: Tue, 26 Aug 2008 01:20:02 +0300

On Tue, Aug 26, 2008 at 12:05:21AM +0200, Johannes Schindelin wrote:
> I do disagree with you that it is a kludge though.  I think it makes 
> complete sense to add this to Documentation/git.txt in addition to other 
> documentation that is lacking from my patch, though:
> 
> -- snip --
> -c <command>::
> 	execute <command> in git-shell.
> -- snap --

All I'm going to say is that that's not the way you build trustable
software. You take a minimal interface and restrict untrusted users to
that, you don't add a feature to the widest possible interface..

-- 
:(){ :|:&};: